define("wolfRunComponentsAnimationPort", ["componentmodelComponentApi", "clientkernelEventbusApi"],
    function(componentmodelComponentApi, clientkernelEventbusApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        if (typeof wolfRunComponentsAnimationPort == 'undefined') {
            var wolfRunComponentsAnimationPort = {};
        };

        wolfRunComponentsAnimationPort.IAnimationPort = function() {}
        wolfRunComponentsAnimationPort.IAnimationPort.prototype = {

            getShow: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getHide: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getCount: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getShowMultiple: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getHideMultiple: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getCountFinished: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getShown: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getTriggered: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getRetriggerStart: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getShowFSIntro: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getFSIntroFinished: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };

        wolfRunComponentsAnimationPort.IAnimationImplementationPort = function() {}
        wolfRunComponentsAnimationPort.IAnimationImplementationPort.prototype = {

            getShow: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getHide: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getCount: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getShowMultiple: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getHideMultiple: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getCountFinished: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getShown: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getTriggered: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getRetriggerStart: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getShowFSIntro: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getFSIntroFinished: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };
        wolfRunComponentsAnimationPort.AnimationPort = function(instance, bus) {
            this.show = instance.createTopic("animation:show");
            this.hide = instance.createTopic("animation:hide");
            this.shown = instance.createTopic("animation:shown");
            this.triggered = instance.createTopic("animation:triggered");
            this.count = instance.createTopic("animation:count");
            this.countFinished = instance.createTopic("animation:countFinished");
            this.retriggerStarted = instance.createTopic("animation:retriggerStarted");
            this.showMultiple = new clientkernelEventbusApi.Topic("animation:showMultiple");
            this.hideMultiple = new clientkernelEventbusApi.Topic("animation:hideMultiple");
            this.showFSIntro = new clientkernelEventbusApi.Topic("popup:showFSIntro");
            this.fSIntroFinished = new clientkernelEventbusApi.Topic("popup:fSIntroFinished");
            this.show.connect(bus);
            this.hide.connect(bus);
            this.shown.connect(bus);
            this.triggered.connect(bus);
            this.count.connect(bus);
            this.countFinished.connect(bus);
            this.retriggerStarted.connect(bus);
            this.showMultiple.connect(bus);
            this.hideMultiple.connect(bus);
            this.showFSIntro.connect(bus);
            this.fSIntroFinished.connect(bus);
        };
        wolfRunComponentsAnimationPort.AnimationPort = ck_implements(wolfRunComponentsAnimationPort.AnimationPort, wolfRunComponentsAnimationPort.IAnimationPort);
        wolfRunComponentsAnimationPort.AnimationPort = ck_implements(wolfRunComponentsAnimationPort.AnimationPort, wolfRunComponentsAnimationPort.IAnimationImplementationPort);
        wolfRunComponentsAnimationPort.AnimationPort.__interfaces__ = [wolfRunComponentsAnimationPort.IAnimationPort, wolfRunComponentsAnimationPort.IAnimationImplementationPort];
        wolfRunComponentsAnimationPort.AnimationPort.__name__ = ["wolfRunComponentsAnimationPort", "AnimationPort"];
        wolfRunComponentsAnimationPort.AnimationPort.prototype.show = null;
        wolfRunComponentsAnimationPort.AnimationPort.prototype.hide = null;
        wolfRunComponentsAnimationPort.AnimationPort.prototype.shown = null;
        wolfRunComponentsAnimationPort.AnimationPort.prototype.triggered = null;
        wolfRunComponentsAnimationPort.AnimationPort.prototype.count = null;
        wolfRunComponentsAnimationPort.AnimationPort.prototype.countFinished = null;
        wolfRunComponentsAnimationPort.AnimationPort.prototype.retriggerStarted = null;
        wolfRunComponentsAnimationPort.AnimationPort.prototype.showMultiple = null;
        wolfRunComponentsAnimationPort.AnimationPort.prototype.hideMultiple = null;
        wolfRunComponentsAnimationPort.AnimationPort.prototype.showFSIntro = null;
        wolfRunComponentsAnimationPort.AnimationPort.prototype.fSIntroFinished = null;
        wolfRunComponentsAnimationPort.AnimationPort.prototype.getShow = function() {
            return this.show;
        };
        wolfRunComponentsAnimationPort.AnimationPort.prototype.getHide = function() {
            return this.hide;
        };
        wolfRunComponentsAnimationPort.AnimationPort.prototype.getShowMultiple = function() {
            return this.showMultiple;
        };
        wolfRunComponentsAnimationPort.AnimationPort.prototype.getHideMultiple = function() {
            return this.hideMultiple;
        };
        wolfRunComponentsAnimationPort.AnimationPort.prototype.getShown = function() {
            return this.shown;
        };
        wolfRunComponentsAnimationPort.AnimationPort.prototype.getTriggered = function() {
            return this.triggered;
        };
        wolfRunComponentsAnimationPort.AnimationPort.prototype.getCount = function() {
            return this.count;
        };
        wolfRunComponentsAnimationPort.AnimationPort.prototype.getCountFinished = function() {
            return this.countFinished;
        };
        wolfRunComponentsAnimationPort.AnimationPort.prototype.getRetriggerStart = function() {
            return this.retriggerStarted;
        };
        wolfRunComponentsAnimationPort.AnimationPort.prototype.getShowFSIntro = function() {
            return this.showFSIntro;
        };
        wolfRunComponentsAnimationPort.AnimationPort.prototype.getFSIntroFinished = function() {
            return this.fSIntroFinished;
        };
        wolfRunComponentsAnimationPort.AnimationPort.prototype.__class__ = wolfRunComponentsAnimationPort.AnimationPort;
        wolfRunComponentsAnimationPort.AnimationPortFactory = function() {};
        wolfRunComponentsAnimationPort.AnimationPortFactory = ck_implements(wolfRunComponentsAnimationPort.AnimationPortFactory, componentmodelComponentApi.IComponentPortFactory);
        wolfRunComponentsAnimationPort.AnimationPortFactory.__interfaces__ = [componentmodelComponentApi.IComponentPortFactory];
        wolfRunComponentsAnimationPort.AnimationPortFactory.__name__ = ["wolfRunComponentsAnimationPort", "AnimationPortFactory"];
        wolfRunComponentsAnimationPort.AnimationPortFactory.prototype.provide = function(instance, channel) {
            return new wolfRunComponentsAnimationPort.AnimationPort(instance, channel);
        };
        wolfRunComponentsAnimationPort.AnimationPortFactory.prototype["use"] = function(instance, channel) {
            return new wolfRunComponentsAnimationPort.AnimationPort(instance, channel);
        };
        wolfRunComponentsAnimationPort.AnimationPortFactory.prototype.__class__ = wolfRunComponentsAnimationPort.AnimationPortFactory;
        wolfRunComponentsAnimationPort.BannerPayload = function(bannerId, bannerText, bannerTextId) {
            this.bannerId = bannerId;
            this.bannerText = bannerText;
            this.bannerTextId = bannerTextId;
        };
        wolfRunComponentsAnimationPort.BannerPayload.__name__ = ["wolfRunComponentsAnimationPort", "BannerPayload"];
        wolfRunComponentsAnimationPort.BannerPayload.prototype.bannerId = null;
        wolfRunComponentsAnimationPort.BannerPayload.prototype.bannerText = null;
        wolfRunComponentsAnimationPort.BannerPayload.prototype.bannerTextId = null;
        wolfRunComponentsAnimationPort.BannerPayload.prototype.__class__ = wolfRunComponentsAnimationPort.BannerPayload;
        wolfRunComponentsAnimationPort.CounterPayload = function(animationId, startValue, endValue, duration, numOfSteps, stepFunction, finishFunction, data) {
            this.animationId = animationId;
            this.startValue = startValue;
            this.endValue = endValue;
            this.duration = duration;
            this.numOfSteps = numOfSteps;
            this.stepFunction = stepFunction;
            this.finishFunction = finishFunction;
            if (data != null) this.data = data;
        };
        wolfRunComponentsAnimationPort.CounterPayload.__name__ = ["wolfRunComponentsAnimationPort", "CounterPayload"];
        wolfRunComponentsAnimationPort.CounterPayload.prototype.animationId = null;
        wolfRunComponentsAnimationPort.CounterPayload.prototype.startValue = null;
        wolfRunComponentsAnimationPort.CounterPayload.prototype.endValue = null;
        wolfRunComponentsAnimationPort.CounterPayload.prototype.duration = null;
        wolfRunComponentsAnimationPort.CounterPayload.prototype.numOfSteps = null;
        wolfRunComponentsAnimationPort.CounterPayload.prototype.stepFunction = null;
        wolfRunComponentsAnimationPort.CounterPayload.prototype.finishFunction = null;
        wolfRunComponentsAnimationPort.CounterPayload.prototype.data = null;
        wolfRunComponentsAnimationPort.CounterPayload.prototype.__class__ = wolfRunComponentsAnimationPort.CounterPayload;
        wolfRunComponentsAnimationPort.ShowAnimationPayload = function(animationId, action, data, triggers) {
            this.animationId = animationId;
            this.action = action;
            this.data = data;
            this.triggers = triggers;
        };
        wolfRunComponentsAnimationPort.ShowAnimationPayload.__name__ = ["wolfRunComponentsAnimationPort", "ShowAnimationPayload"];
        wolfRunComponentsAnimationPort.ShowAnimationPayload.prototype.animationId = null;
        wolfRunComponentsAnimationPort.ShowAnimationPayload.prototype.action = null;
        wolfRunComponentsAnimationPort.ShowAnimationPayload.prototype.triggers = null;
        wolfRunComponentsAnimationPort.ShowAnimationPayload.prototype.data = null;
        wolfRunComponentsAnimationPort.ShowAnimationPayload.prototype.addData = function(key, value) {
            if (this.data == null) this.data = new _hcmn_.haxe_ds_StringMap();
            var tmpData = this.data;
            var value1 = value;
            tmpData.set(key, value1);
            this.data = tmpData;
        };
        wolfRunComponentsAnimationPort.ShowAnimationPayload.prototype.__class__ = wolfRunComponentsAnimationPort.ShowAnimationPayload;
        return {
            exports: wolfRunComponentsAnimationPort
        };
    });
//# sourceURL=wolfRunAnimationPort.js